%define api 1
%define major 2
%define libname %mklibname ftdi %{api} %{major}

%define ppmajor 3
%define pplib %mklibname ftdipp %{api} %{ppmajor}

%define develname %mklibname -d ftdi %{api}

%define enable_async_mode 0

Summary:	Library to program and control the FTDI USB controller
Name:		libftdi
Version:	1.4
Release:	%mkrel 2
License:	LGPL for libftdi and GPLv2+linking exception for the C++ wrapper
Group:		System/Libraries
URL:		http://www.intra2net.com/en/developer/libftdi
Source0:	http://www.intra2net.com/en/developer/%{name}/download/%{name}%{api}-%{version}.tar.xz
BuildRequires:	lib64usb-compat0.1-devel
BuildRequires:	pkgconfig
BuildRequires:	doxygen
BuildRequires:	cmake
BuildRequires:  boost-devel
BuildRequires:	lib64confuse-devel

%description
Library to program and control the FTDI USB controller

%package -n	%{libname}
Summary:	Library to program and control the FTDI USB controller
Group:		System/Libraries
Provides:	libftdi = %{version}-%{release}
Obsoletes:	libftdi 
Obsoletes:	lib64ftdi1

%description -n	%{libname}
Library to program and control the FTDI USB controller.

%package -n	%{pplib}
Summary:	Library to program and control the FTDI USB controller
Group:		System/Libraries

%description -n %{pplib}
Library to program and control the FTDI USB controller.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{pplib} = %{version}-%{release}
Provides:	libftdi-devel = %{version}-%{release}
Provides:	libftdi1-devel = %{version}-%{release}
Obsoletes:	%{_lib}ftdi-devel < 1.1-3
Conflicts:	libftdi < 0.20-3

%description -n %{develname}
This package contains libraries and header files for developing applications
that use %{name}.


%prep
%setup -q -n %{name}%{api}-%{version}

%build
export CFLAGS="%{optflags} -fno-stack-protector"
export CXXFLAGS="%{optflags} -fno-stack-protector"
%cmake -DSTATICLIBS=off -DPYTHON_BINDINGS=off -DLINK_PYTHON_LIBRARY=off

#update doxygen configuration to suppress some warnings
doxygen -u

%make

%install
%makeinstall_std -C build

# cleanup
rm -f %{buildroot}%{_libdir}/libftdi*.*a

# man pages
install -d %{buildroot}%{_mandir}/man3/
install -Dpm644 build/doc/man/man3/* -t %{buildroot}%{_mandir}/man3/

%files -n %{libname}
%doc %{_docdir}/libftdi1/example.conf
%{_libdir}/libftdi*%{api}.so.%{major}
%{_libdir}/libftdi*%{api}.so.%{major}.*

%files -n %{pplib}
%{_libdir}/libftdipp%{api}.so.%{ppmajor}
%{_libdir}/libftdipp%{api}.so.%{major}.*

%files -n %{develname}
%doc build/doc/html build/examples
%{_bindir}/%{name}%{api}-config
%{_bindir}/ftdi_eeprom
%{_libdir}/%{name}*%{api}.so
%{_includedir}/%{name}%{api}/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/%{name}%{api}/*.cmake
%{_mandir}/man3/*


%changelog
* Fri Jun 11 2021 tex - 1.4-2pclos2021
- rebuild against updates

* Wed Aug 07 2019 tex - 1.4-1pclos2019
- update
